<?php
/**
 * Looks up an XML tree in a BaseX database and prints it as a syntax tree.
 *
 * This file is called when a user clicks a link on the results page. The links
 * are generated by php/flush-results.php and php/get-all-results.php and parsed
 * in js/results.js.
 *
 * @version 1.0  date: 08.30.2016  converted xml2tree.pl to PHP function
 * @version 0.5  date: 05.22.2016  removed `opt` GET. Not necessary for this build
 * @version 0.4  date: 14.10.2014  RELEASED WITH GrETEL2.0
 *
 * @author Liesbeth Augustinus
 * @author Bram Vanroy
 */
require_once ROOT_PATH.'/basex-search-scripts/basex-client.php';

function showTree($sentid, $treebank, $component, $database)
{
    header('Content-type: text/xml');
    header('Access-Control-Allow-Origin: *');
    set_time_limit(0);

    try {
        $serverInfo = getServerInfo($treebank, $component);
        $session = new Session($serverInfo['machine'], $serverInfo['port'], $serverInfo['username'], $serverInfo['password']);

        $xquery = 'db:open("'.$database.'")/treebank/alpino_ds[@id="'.$sentid.'"]';
        $query = $session->query($xquery);

        $xml = $query->execute();
        if ($xml) {
            $filename = preg_replace('/[:\\/_\\-\\. ]+/', '_', $sentid);
            header('Content-Disposition: attachment; filename="'.$filename.'.xml"');
            echo $xml;
        } else {
            http_response_code(404);
            echo 'Could not retrieve '.$sentid.' in '.$database;
        }
    } catch (Exception $e) {
        http_response_code(500);
        echo $e->getMessage();
    }
}
